Kernel update google Chrome and Chromium freeze

Bug #827198 reported by johnlon on 2011-08-16
62
This bug affects 10 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Tim Gardner
Maverick
Undecided
Tim Gardner

Bug Description

Since the update today, I open Google Chrome, and it shows a restore previous session button, click on it or dont, I am still unable to use bothe browsers they freeze, and sometimes to the extent where I have to use the Force quite button....

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-30-generic 2.6.35-30.57
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-30.57-generic 2.6.35.13
Uname: Linux 2.6.35-30-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D1', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code -9:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd6700000 irq 46'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:10ec0272,1025048a,00100001 HDA:80862802,80860101,00100000'
   Controls : 21
   Simple ctrls : 11
Date: Tue Aug 16 10:00:48 2011
HibernationDevice: RESUME=UUID=631e9545-5317-457d-a141-5a409e5d8350
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Acer Aspire 5736Z
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-30-generic root=UUID=aa856430-2519-4062-b8ab-28f16dbb2b10 ro drm.debug=0x02 quiet splash acpi_osi=Linux acpi_backlight=legacy
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38.8
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 09/23/2010
dmi.bios.vendor: Acer
dmi.bios.version: V1.04
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: JE51_MV
dmi.board.vendor: Acer
dmi.board.version: V1.04
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.04
dmi.modalias: dmi:bvnAcer:bvrV1.04:bd09/23/2010:svnAcer:pnAspire5736Z:pvrV1.04:rvnAcer:rnJE51_MV:rvrV1.04:cvnAcer:ct10:cvrV1.04:
dmi.product.name: Aspire 5736Z
dmi.product.version: V1.04
dmi.sys.vendor: Acer

CVE References

johnlon (jakewc2) wrote :
Changed in linux (Ubuntu):
status: New → Confirmed
Tim Gardner (timg-tpi) wrote :

This is likely the result of "close race in /proc/*/environ, CVE-2011-1020" which has also been found to cause regressions in Lucid.

Changed in linux (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2011-08-16
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Tim Gardner (timg-tpi) wrote :

Please try one of the kernels in http://kernel.ubuntu.com/~rtg/lp-827198/0. For example:

wget http://kernel.ubuntu.com/~rtg/lp-827198/0/linux-image-2.6.35-30-generic_2.6.35-30.58_amd64.deb
sudo dpkg -i linux-image-2.6.35-30-generic_2.6.35-30.58_amd64.deb

Hi, Installed what you suggested below, and still get the same problem,
the pages are unresponsive and freeze

John

On 16/08/11 16:35, Tim Gardner wrote:
> Please try one of the kernels in
> http://kernel.ubuntu.com/~rtg/lp-827198/0. For example:
>
> wget http://kernel.ubuntu.com/~rtg/lp-827198/0/linux-image-2.6.35-30-generic_2.6.35-30.58_amd64.deb
> sudo dpkg -i linux-image-2.6.35-30-generic_2.6.35-30.58_amd64.deb
>

Tim Gardner (timg-tpi) wrote :

johnlon - you did reboot after installing this kernel, right?

Ryan Steele (rgsteele) wrote :

I can verify -- I've installed the new kernel and rebooted and I'm also still getting the same freezes, with the "BUG: unable to handle kernel paging request at fffffffffffffff3" error in kern.log.

csb@vmhost002:~$ uname -a
Linux vmhost002 2.6.35-30-generic #58 SMP Tue Aug 16 15:05:36 UTC 2011 x86_64 GNU/Linux

johnlon (jakewc2) wrote :

Hi, yes I rebooted, and I completely turned off the computer and
restarted it, it still has the same problem :(

John

On 16/08/11 18:56, Tim Gardner wrote:
> johnlon - you did reboot after installing this kernel, right?
>

johnlon (jakewc2) wrote :

Ok, I decided to see if an update might work, so I did sudo apt-get
update in the terminal, and then did sudo aptitude dist-upgrade, and it
had quite a few updates to add, which I did, then I just rebooted, and
it seems it might have done the trick on the kernel you suggested....I
am playing around with it, and will let you know if there are any
problems....

John

On 16/08/11 18:56, Tim Gardner wrote:
> johnlon - you did reboot after installing this kernel, right?
>

johnlon (jakewc2) wrote :

no, that didnt work, I am now getting page unresponsive, instead of a
crash, and the box is coming up with page unresponsive wait or kill page....

John

On 16/08/11 18:56, Tim Gardner wrote:
> johnlon - you did reboot after installing this kernel, right?
>

johnlon (jakewc2) wrote :

Ok, after continuously playing with GC for ages, I can say that I am now
getting freezes on a page and page unresponsive messages......both
require you to close GC completely and restart....and that happens
almost every page change....

I cant do anymore, its doing my head in.....

John

On 16/08/11 18:57, Ryan Steele wrote:
> I can verify -- I've installed the new kernel and rebooted and I'm also
> still getting the same freezes, with the "BUG: unable to handle kernel
> paging request at fffffffffffffff3" error in kern.log.
>
> csb@vmhost002:~$ uname -a
> Linux vmhost002 2.6.35-30-generic #58 SMP Tue Aug 16 15:05:36 UTC 2011 x86_64 GNU/Linux
>

Tim Gardner (timg-tpi) wrote :

johnlon, Ryan: try a kernel in http://kernel.ubuntu.com/~rtg/lp-827198/1 that has 'proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020'. It appears that not all of the fixes for CVE-2011-1020 were added to the Maverick kernel.

wget http://kernel.ubuntu.com/~rtg/lp-827198/1/linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.deb
sudo dpkg -i linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.de
sudo reboot

johnlon (jakewc2) wrote :

Tried that, the terminal said

dpkg: error processing
linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.de
(--install):
  cannot access archive: No such file or directory
Errors were encountered while processing:
  linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.de

and if I tried to install the .deb package, it said a later version is
already installed....how do I get over that?

John

On 16/08/11 21:30, Tim Gardner wrote:
> johnlon, Ryan: try a kernel in http://kernel.ubuntu.com/~rtg/lp-827198/1
> that has 'proc: fix oops on invalid /proc/<pid>/maps access,
> CVE-2011-1020'. It appears that not all of the fixes for CVE-2011-1020
> were added to the Maverick kernel.
>
> wget http://kernel.ubuntu.com/~rtg/lp-827198/1/linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.deb
> sudo dpkg -i linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.de
> sudo reboot
>

@johnlon

You probably need to "escape" the tilde "~" character in the filename, or use the tab key to autocomplete the filename.

sudo dpkg -i linux-image-2.6.35-

Then press tab to complete the file name. Or, if the file is in a folder on its own, just do "sudo dpkg -i *.deb".

Weeble (clockworksaint) wrote :

I just got this today including the "BUG: unable to handle kernel paging request at fffffffffffffff3" message in the log, on Maverick amd64.

I installed the kernel as described in #11 and Chrome seems stable again.

Is it useful for me to gather any more information about my system?

Tim Gardner (timg-tpi) wrote :

johnlon - Alan is correct. I inadvertently truncated the name of kernel image file; it should be 'sudo dpkg -i linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.deb'

Weeble - just keep using the browser. I've found a couple of scenarios before this last patch that make the browser crash, but failures were inconsistent and difficult to reproduce, a sure sign of a race.

Is there 32bit lucid kernel to try?

Tim Gardner (timg-tpi) wrote :

Dmitry - I've added 32 bit debs in the same directory; http://kernel.ubuntu.com/~rtg/lp-827198/1

Ryan Steele (rgsteele) wrote :

Tim: After installing the kernel referenced in #11, I can no longer reproduce the crash.

Josh Holland (jshholland) wrote :

The new kernel fixed it for me also.

Fixes my issues as well (nvidia driver do not work, but chrome and gnome-system-monitor do work)

Changed in linux (Ubuntu Lucid):
status: New → Confirmed
Herton R. Krzesinski (herton) wrote :

A lucid with the fix was released into proposed (2.6.32-34.74). Since this wasn't a regression in -updates, marking already as fix released

Changed in linux (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → Fix Released
Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Committed

My problems are gone with new proposed kernel in lucid. Thanks!

johnlon (jakewc2) wrote :

Hi, sorry that I have not been around, have not been very well.....I am
still having problems with this....I tried to install it, and I get
message....

> droopal@droopal-laptop:~$ sudo dpkg -i
> linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.deb
> [sudo] password for droopal:
> dpkg: error processing
> linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.deb
> (--install):
> cannot access archive: No such file or directory
> Errors were encountered while processing:
> linux-image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.deb

As I am still getting the problem with this kerel, I am not able to use
Google Chrome or Chromium still...

John

On 17/08/11 00:46, Tim Gardner wrote:
> johnlon - Alan is correct. I inadvertently truncated the name of kernel
> image file; it should be 'sudo dpkg -i linux-
> image-2.6.35-30-generic_2.6.35-30.58~01d376eab177859e859416c23416f6fd2a9ec3c769_amd64.deb'
>
> Weeble - just keep using the browser. I've found a couple of scenarios
> before this last patch that make the browser crash, but failures were
> inconsistent and difficult to reproduce, a sure sign of a race.
>

micred (tict) wrote :

I confirm the bug on maverick with kernel 2.6.35-30 (32bit).

The 2.6.35-30.58 kernel in maverick-proposed fixes this issue for me.

Danil (varrah) wrote :

my current version is:
Linux 2.6.32-35-generic #78-Ubuntu SMP Tue Oct 11 16:11:24 UTC 2011 x86_64 GNU/Linux

The bug is repeatable here.
I tried to install the custom kernel from #11 but did not succeed - nvidia drivers failed to install the module and charset was wrong at least in terminal. I believe I can handle this sometime later, yet what surprises me is why does this custom kernel is not yet merged with the main branch?
I've just did an apt-get upgrade of linux headers etc. and the bug is still there.
Is it just supposed that since 10.04 is an LTS the kernel will stay the same and the only way to fix the said bug is to make a dist-upgrade or use custom kernel? Or there shoul be some additional workflow steps before this fix can go into production branch?

Tim Gardner (timg-tpi) on 2012-08-20
Changed in linux (Ubuntu Maverick):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers